Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.conf
Class Configurations

    java.lang.Object
      |
      +--com.solarmetric.kodo.conf.Configurations

public class Configurations
extends Object

Utility methods dealing with configuration.

Constructor Summary
`Configurations()`

Method Summary
`static void` | `configureInstance(Object obj, String properties)`
`static Object` | `createInstance(String clsName, String properties, ClassLoader loader)` Creates an instance of the given class ane configures it with the given properties.
`static Object` | `lookup(String name)` Looks up the given name in JNDI.
`static Options` | `parseOptions(String properties)`
`static void` | `populateConfiguration(Configuration conf, Options opts)` Set the given `Configuration` instance from the command line options provided.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configurations

    public Configurations()

Method Detail

### createInstance

    public static Object createInstance(String clsName,
                                        String properties,
                                        ClassLoader loader)

  Creates an instance of the given class ane configures it with the given properties. Property settings should be in the form "prop1=val1 prop2=val2 ...". If the given class is null, null is returned.

### parseOptions

    public static Options parseOptions(String properties)

### configureInstance

    public static void configureInstance(Object obj,
                                         String properties)

### lookup

    public static Object lookup(String name)

  Looks up the given name in JNDI. If the name is null, null is returned.

### populateConfiguration

    public static void populateConfiguration(Configuration conf,
                                             Options opts)

  Set the given `Configuration` instance from the command line options provided. All property names of the given configuration are recognized; additionally, if a `properties` argument exists, the `Properties` instance it points to will be loaded and set into the given configuration instance.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.